<?php
// themebase color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_themebase_color',
	'label'			 => esc_html__( 'Themebase color', 'charvi' ),
	'section'		 => 'charvi_section_themebase',
	'priority'		 => 10,
	'default'        => '#c54262',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-meta-category a', '.wp-caption figcaption' ),
			'property'	 => 'color',
		),
		array(
			'element'	 => array( '.dtr-dropcap.dtr-dropcap-circle', '.dtr-dropcap.dtr-dropcap-square' ),
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// body
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_body_typo',
	'label'       => esc_html__( 'Body', 'charvi' ),
	'section'     => 'charvi_section_body_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.75',
		'letter-spacing' => '0.20',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#626262',
		'text-transform' => 'none',
	),
	'priority'    => 10,
 	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'body',
		),
	),
) );

// h1
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_h1_typo',
	'label'       => esc_html__( 'H1', 'charvi' ),
	'section'     => 'charvi_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '47px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h1',
		),
	),
) );

// h2
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_h2_typo',
	'label'       => esc_html__( 'H2', 'charvi' ),
	'section'     => 'charvi_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '38px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h2',
		),
	),
) );

// h3
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_h3_typo',
	'label'       => esc_html__( 'H3', 'charvi' ),
	'section'     => 'charvi_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '32px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h3',
		),
	),
) );

// h4
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_h4_typo',
	'label'       => esc_html__( 'H4', 'charvi' ),
	'section'     => 'charvi_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '25px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h4',
		),
	),
) );

// h5
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_h5_typo',
	'label'       => esc_html__( 'H5', 'charvi' ),
	'section'     => 'charvi_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '18px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h5',
		),
	),
) );

// h6
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_h6_typo',
	'label'       => esc_html__( 'H6', 'charvi' ),
	'section'     => 'charvi_section_headings_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'h6',
		),
	),
) );

// default link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_default_link_color',
	'label'			 => esc_html__( 'Link Color', 'charvi' ),
	'section'		 => 'charvi_section_default_link',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => 'a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// default link hover
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_default_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'charvi' ),
	'section'		 => 'charvi_section_default_link',
	'priority'		 => 10,
	'default'        => '#c54262',
	'output'		 => array(
		array(
			'element'	 => 'a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header r1 color / link color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_header_r1_color',
	'label'			 => esc_html__( 'Text / Link Color', 'charvi' ),
	'section'		 => 'charvi_section_header_r1_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-row-one' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_header_r1_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'charvi' ),
	'section'		 => 'charvi_section_header_r1_typo',
	'priority'		 => 10,
	'default'        => '#c54262',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-row-one a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// header r1 color / link color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_header_r2_color',
	'label'			 => esc_html__( 'Text / Link Color', 'charvi' ),
	'section'		 => 'charvi_section_header_r2_typo',
	'priority'		 => 10,
	'default'        => '#202020',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-header-row-two, .dtr-header-row-two a, .dtr-header-row-two .dtr-social-list li a' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_header_r2_link_hover',
	'label'			 => esc_html__( 'Link Hover Color', 'charvi' ),
	'section'		 => 'charvi_section_header_r2_typo',
	'priority'		 => 10,
	'default'        => '#c54262',
	'output'		 => array(
		array(
			'element'	 => '.dtr-header-row-two a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// page title
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_page_title_typo',
	'label'       => esc_html__( 'Page Title / Archives Page Title', 'charvi' ),
	'section'     => 'charvi_section_page_title_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '32px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-page-title',
		),
	),
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_breadcrumb_typo',
	'label'       => esc_html__( 'Breadcrumb', 'charvi' ),
	'section'     => 'charvi_section_page_title_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'regular',
		'font-size'      => '15px',
		'line-height'    => '1.75',
		'letter-spacing' => '0.20',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#626262',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.breadcrumbs, .breadcrumbs a',
		),
	),
) );

// sidebar starts
// sidebar_widget_border_color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_sidebar_widget_border_color',
	'label'			 => esc_html__( 'Sidebar Heading Border Bottom Color', 'charvi' ),
	'section'		 => 'charvi_section_sidebar_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '#dtr-secondary-section .widget-title',
			'property'	 => 'border-bottom-color',
		)
	),
	'transport'		 => 'auto',
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_sidebar_widget_typo',
	'label'       => esc_html__( 'Sidebar Heading', 'charvi' ),
	'section'     => 'charvi_section_sidebar_typo',
	'default'     => array(
		'font-family'    => 'Lustria',
		'variant'        => 'regular',
		'font-size'      => '18px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'capitalize',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '#dtr-secondary-section .widget-title, .dtr-relatedposts-title, .comment-reply-title',
		),
	),
) );
// sidebar ends
// footer starts
// footer text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_footer_color',
	'label'			 => esc_html__( 'Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#626262',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section, #dtr-footer-section .dtr-meta-style',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_footer_link_color',
	'label'			 => esc_html__( 'Link Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer link hover
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_footer_link_hover_color',
	'label'			 => esc_html__( 'Link Hover Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#c54262',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer headings
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_footer_headings_color',
	'label'			 => esc_html__( 'Headings Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element' => array( '#dtr-footer-section h1', '#dtr-footer-section h2', '#dtr-footer-section h3', '#dtr-footer-section h4', '#dtr-footer-section h5', '#dtr-footer-section h6' ),
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer widget headings
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_footer_widget_title',
	'label'       => esc_html__( 'Footer Widget Title', 'charvi' ),
	'section'     => 'charvi_section_footer_typo',
	'default'     => array(
		'font-family'    => 'Lustria',
		'variant'        => 'regular',
		'font-size'      => '24px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#2c2c2c',
		'text-transform' => 'capitalize',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '#dtr-footer-section .widget-title',
		),
	),
) );

// footer_widget_title_border_color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_footer_widget_title_border_color',
	'label'			 => esc_html__( 'Border Bottom Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#e5e5e5',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section .widget-title',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// copyright text
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_copyright_color',
	'label'			 => esc_html__( 'Copyright Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#626262',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section .dtr-copyright',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_copyright_link_color',
	'label'			 => esc_html__( 'Copyright Link Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#626262',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section .dtr-copyright a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// link hover
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_copyright_link_hover_color',
	'label'			 => esc_html__( 'Copyright Link Hover Color', 'charvi' ),
	'section'		 => 'charvi_section_footer_typo',
	'priority'		 => 10,
	'default'        => '#c54262',
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section .dtr-copyright a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// footer ends
// menu starts
// main menu Color Style
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_main_menu_color_style',
	'label'       => esc_html__( 'Main menu Color Style', 'charvi' ),
	'description'	=> wp_kses( __("Useful if you have main menu and sticky menu on different color backgrounds - light and dark. You can set default menu for dark background and alt menu for light background or vice-versa", 'charvi'), array( 'br' => array(), ) ),
	'section'     => 'charvi_section_menu_typo',
	'default'     => '',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-menu-default'	=> esc_html__('Default', 'charvi'),
		'dtr-menu-alt'		=> esc_html__('Alt', 'charvi'),
		''					=> esc_html__('As per set for theme : Default or Alt', 'charvi'),
	),
) );

// Sticky menu Color Style
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'select',
	'settings'    => 'charvi_sticky_menu_color_style',
	'label'       => esc_html__( 'Sticky menu Color Style', 'charvi' ),
	'section'     => 'charvi_section_menu_typo',
	'default'     => '',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-menu-default'	=> esc_html__('Default', 'charvi'),
		'dtr-menu-alt'		=> esc_html__('Alt', 'charvi'),
		''					=> esc_html__('As per set for theme : Default or Alt', 'charvi'),
	),
) );

// menu font
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_menu_link_typo',
	'label'       => esc_html__( 'Menu Font Settings', 'charvi' ),
	'section'     => 'charvi_section_menu_typo',
	'default'     => array(
		'font-family'    => 'Lustria',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.sf-menu li a',
		),
	),
) );

// dropdown font
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_menu_dropdown_typo',
	'label'       => esc_html__( 'Menu Dropdown Font Settings', 'charvi' ),
	'section'     => 'charvi_section_menu_typo',
	'default'     => array(
		'font-family'    => 'Lustria',
		'variant'        => 'regular',
		'font-size'      => '14px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.5',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.sf-menu li li a',
		),
	),
) );

// menu link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_link_color',
	'label'			 => esc_html__( 'Default Menu Link color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_link_hover_color',
	'label'			 => esc_html__( 'Default Menu Link Hover color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_link_active_color',
	'label'			 => esc_html__( 'Default Menu Link Active color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu li.current-menu-item a', '.sf-menu li.current-menu-ancestor > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Link Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu li li a', '.sf-menu .sub-menu li.current-menu-item li a', '.sf-menu li.current-menu-item li a', '.sf-menu ul li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Link - Hover / Active - Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu .sub-menu li.current-menu-item li a:hover', '.sf-menu .sub-menu li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a', '.sf-menu ul li a:hover', '.sf-menu ul li:hover > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link Hover / Active Background Color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_dropdown_hoverbg_color',
	'label'			 => esc_html__( 'Default menu Dropdown Link Hover / Active Background Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu .sub-menu li.current-menu-item li a:hover', '.sf-menu .sub-menu li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a', '.sf-menu ul li a:hover', '.sf-menu ul li:hover > a', '.sf-menu ul a:hover', '.sf-menu ul li:hover > a', '.sf-menu ul li.current-menu-item > a', '.sf-menu .current-menu-item ul.sub-menu li a:hover', '.sf-menu ul li.current-menu-parent > a', '.sf-menu .sub-menu li.current-menu-item li a', '.sf-menu li.current-menu-item li a', '.sf-menu ul li.current-menu-item a', '.sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Background Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu ul', '.sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Menu Dropdown Border color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_menu_border_color',
	'label'			 => esc_html__( 'Default Menu Dropdown Link Border bottom color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.sf-menu:first-child > li li a' ),
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );
// menu ends
// sticky menu starts

// menu link
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_link_color',
	'label'			 => esc_html__( 'Alternative Menu Link color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt .sf-menu li a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link hover
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_link_hover_color',
	'label'			 => esc_html__( 'Alternative Menu Link Hover color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => '.dtr-menu-alt .sf-menu li a:hover',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// menu link active
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_link_active_color',
	'label'			 => esc_html__( 'Alternative Menu Link Active color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt  .sf-menu li.current-menu-item a', '.dtr-menu-alt  .sf-menu li.current-menu-ancestor > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// dropdown link color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_dropdown_link_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu li li a', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu ul li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link - Hover / Active - Color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_dropdown_hover_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link - Hover / Active - Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-alt .sf-menu ul li a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a' ),
			'property'	=> 'color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Link Hover / Active Background Color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_dropdown_hoverbg_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link Hover / Active Background Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a:hover', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a', '.dtr-menu-alt .sf-menu ul li a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a', '.dtr-menu-alt .sf-menu ul a:hover', '.dtr-menu-alt .sf-menu ul li:hover > a', '.dtr-menu-alt .sf-menu ul li.current-menu-item > a', '.dtr-menu-alt .sf-menu .current-menu-item ul.sub-menu li a:hover', '.dtr-menu-alt .sf-menu ul li.current-menu-parent > a', '.dtr-menu-alt .sf-menu .sub-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu li.current-menu-item li a', '.dtr-menu-alt .sf-menu ul li.current-menu-item a', '.dtr-menu-alt .sf-menu li li.current-menu-ancestor > a:hover' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Dropdown Background Color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_dropdown_bg_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Background Color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu ul', '.dtr-menu-alt .sf-menu ul ul' ),
			'property'	=> 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// Menu Dropdown Border color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_alt_menu_border_color',
	'label'			 => esc_html__( 'Alternative Menu Dropdown Link Border bottom color', 'charvi' ),
	'section'		 => 'charvi_section_menu_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	=> array( '.dtr-menu-alt .sf-menu:first-child > li li a' ),
			'property'	=> 'border-color',
		)
	),
	'transport'		 => 'auto',
) );
// sticky menu ends
// blog starts
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_archive_post_title_typo',
	'label'       => esc_html__( 'Heading of Posts on Home Page / Archives', 'charvi' ),
	'section'     => 'charvi_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Lustria',
		'variant'        => 'regular',
		'font-size'      => '26px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-post-title a, .has-full-first-post .dtr-first-post .dtr-post-title a',
		),
	),
) );
// single post
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_single_post_title_typo',
	'label'       => esc_html__( 'Single Post Heading', 'charvi' ),
	'section'     => 'charvi_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Lustria',
		'variant'        => 'regular',
		'font-size'      => '30px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.single .dtr-post-title',
		),
	),
) );
// blog meta
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_blog_meta_typo',
	'label'       => esc_html__( 'Blog Meta', 'charvi' ),
	'section'     => 'charvi_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '12px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.20',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-meta, .dtr-meta a, .dtr-meta-style, .comment-author-link',
		),
	),
) );
// blog meta prefixes
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_meta_prefix_typo',
	'label'       => esc_html__( 'Blog Meta Prefixes (On/By)', 'charvi' ),
	'section'     => 'charvi_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => '300',
		'font-size'      => '12px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#626262',
		'text-transform' => 'lowercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-meta-title',
		),
	),
) );
// comment meta
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_comment_meta_typo',
	'label'       => esc_html__( 'Comment Meta', 'charvi' ),
	'section'     => 'charvi_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '12px',
		'line-height'    => '1.5',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-reply a, .dtr-comment-metadata a:first-child',
		),
	),
) );
// cat meta
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_meta_cat_typo',
	'label'       => esc_html__( 'Categories in Blog Meta', 'charvi' ),
	'section'     => 'charvi_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => '500',
		'font-size'      => '8px',
		'line-height'    => '1.5',
		'letter-spacing' => '2',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333333',
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-cat-style, .dtr-cat-style a',
		),
	),
) );

// tags
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_tags_typo',
	'label'       => esc_html__( 'Tags', 'charvi' ),
	'section'     => 'charvi_section_blog_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => '300',
		'font-size'      => '12px',
		'line-height'    => '1.5',
		'letter-spacing' => '0.20',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#333',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-post-tags a, .tagcloud a',
		),
	),
) );

// button starts
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_button_typo',
	'label'       => esc_html__( 'Buttons Fonts', 'charvi' ),
	'section'     => 'charvi_section_buttons_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'medium',
		'font-size'      => '9px',
		'line-height'    => '35px',
		'letter-spacing' => '1',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.themebtn, .dtr-read-more',
		),
	),
) );

// read more background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_read_more_bg_color',
	'label'			 => esc_html__( 'Read More Button Background Color', 'charvi' ),
	'section'		 => 'charvi_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// read more border color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_read_more_border_color',
	'label'			 => esc_html__( 'Read More Button Border Color', 'charvi' ),
	'section'		 => 'charvi_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '#ffffff',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// read more color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_read_more_color',
	'label'			 => esc_html__( 'Read More Button Color', 'charvi' ),
	'section'		 => 'charvi_section_buttons_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => '.dtr-read-more',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_form_button_typo',
	'label'       => esc_html__( 'Form Buttons Fonts', 'charvi' ),
	'section'     => 'charvi_section_buttons_typo',
	'default'     => array(
		'font-family'    => 'Heebo',
		'variant'        => 'medium',
		'font-size'      => '9px',
		'line-height'    => '50px',
		'letter-spacing' => '1',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
		),
	),
) );

// form buttons background
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_form_btn_bg_color',
	'label'			 => esc_html__( 'Forms Button Background Color', 'charvi' ),
	'section'		 => 'charvi_section_buttons_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// form buttons border
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_form_btn_border_color',
	'label'			 => esc_html__( 'Forms Button Border Color', 'charvi' ),
	'section'		 => 'charvi_section_buttons_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
			'property'	 => 'border-color',
		)
	),
	'transport'		 => 'auto',
) );

// form buttons color
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_form_btn_color',
	'label'			 => esc_html__( 'Forms Button Color', 'charvi' ),
	'section'		 => 'charvi_section_buttons_typo',
	'priority'		 => 10,
	'output'		 => array(
		array(
			'element'	 => 'input[type="submit"], input[type="reset"], .dtr-form-btn',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );
// button ends

// testimonial
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_testimonial_typo',
	'label'       => esc_html__( 'Testimonial Text', 'charvi' ),
	'section'     => 'charvi_section_quote_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '18px',
		'line-height'    => '1.75',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#606060',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-testimonial-description',
		),
	),
) );

// tagline
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_testimonial_tagline_typo',
	'label'       => esc_html__( 'Testimonial Tagline', 'charvi' ),
	'section'     => 'charvi_section_quote_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '18px',
		'line-height'    => '1.75',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#606060',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-testimonial-tagline',
		),
	),
) );


// quote
charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_blockquote_typo',
	'label'       => esc_html__( 'Blockquote', 'charvi' ),
	'section'     => 'charvi_section_quote_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '18px',
		'line-height'    => '1.75',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#606060',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => 'blockquote',
		),
	),
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'        => 'typography',
	'settings'    => 'charvi_blockquote_pf_typo',
	'label'       => esc_html__( 'Quote and Link Post Format', 'charvi' ),
	'section'     => 'charvi_section_quote_typo',
	'default'     => array(
		'font-family'    => 'Merriweather',
		'variant'        => '300',
		'font-size'      => '18px',
		'line-height'    => '1.75',
		'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		'color'          => '#ffffff',
		'text-transform' => 'none',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.dtr-ql-format blockquote, .dtr-ql-text',
		),
	),
) );

// social starts
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_social_bg_color',
	'label'			 => esc_html__( 'Social Icon Background color ( Style - Circle / Square )', 'charvi' ),
	'section'		 => 'charvi_section_social_typo',
	'priority'		 => 10,
	'default'        => 'rgba(0,0,0,0.2)',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-circle .dtr-social-list li a', '.dtr-social-square .dtr-social-list li a' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_social_color',
	'label'			 => esc_html__( 'Social Icon color', 'charvi' ),
	'section'		 => 'charvi_section_social_typo',
	'priority'		 => 10,
	'default'        => '#333333',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-circle .dtr-social-list li a', '.dtr-social-square .dtr-social-list li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_social_border_color',
	'label'			 => esc_html__( 'Social Icon Border color ( Style - Circle / Square )', 'charvi' ),
	'section'		 => 'charvi_section_social_typo',
	'priority'		 => 10,
	'default'        => 'rgba(0,0,0,0.2)',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-circle .dtr-social-list li a', '.dtr-social-square .dtr-social-list li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
// social share
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_social_share_bg_color',
	'label'			 => esc_html__( 'Social Share Icon Background color ( Style - Circle / Square )', 'charvi' ),
	'section'		 => 'charvi_section_social_typo',
	'priority'		 => 10,
	'default'        => 'rgba(0,0,0,0.2)',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-share.dtr-social-circle .dtr-social-list li a', '.dtr-social-share.dtr-social-square .dtr-social-list li a ' ),
			'property'	 => 'background-color',
		),
	),
	'transport'		 => 'auto',
) );

charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_social_share_color',
	'label'			 => esc_html__( 'Social Share Icon color', 'charvi' ),
	'section'		 => 'charvi_section_social_typo',
	'priority'		 => 10,
	'default'        => '#333333',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-share .dtr-social-list li a' ),
			'property'	 => 'color',
		),
	),
	'transport'		 => 'auto',
) );
charvi_Kirki::add_field( 'charvi_config', array(
	'type'			 => 'color',
	'settings'		 => 'charvi_social_share_border_color',
	'label'			 => esc_html__( 'Social Share Icon Border color', 'charvi' ),
	'section'		 => 'charvi_section_social_typo',
	'priority'		 => 10,
	'default'        => 'rgba(0,0,0,0.2)',
	'output'		 => array(
		array(
			'element'	 => array( '.dtr-social-share .dtr-social-list li a' ),
			'property'	 => 'border-color',
		),
	),
	'transport'		 => 'auto',
) );
// social ends