<?php
function charvi_kirki_panels( $wp_customize ) {
	$wp_customize->add_panel( 'charvi_panel_general', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'General Settings', 'charvi' ),
		'description'	 => esc_html__( 'Manage general theme settings', 'charvi' ),
	) );
	$wp_customize->add_panel( 'charvi_panel_typography', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'Typography & Styles', 'charvi' ),
	) );
	$wp_customize->add_panel( 'charvi_panel_header', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'Header', 'charvi' ),
	) );
	$wp_customize->add_panel( 'charvi_panel_footer', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'Footer', 'charvi' ),
	) );
	$wp_customize->add_panel( 'charvi_panel_blog', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'Blog', 'charvi' ),
	) );
	$wp_customize->add_panel( 'charvi_panel_misc', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'Misc', 'charvi' ),
	) );
	$wp_customize->add_panel( 'charvi_panel_woocommerce', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'Woocommerce', 'charvi' ),
	) );
	$wp_customize->add_panel( 'charvi_panel_help', array(
		'priority'		 => 10,
		'title'			 => esc_html__( 'Help and Support', 'charvi' ),
	) );
} // charvi_kirki_panels
add_action( 'customize_register', 'charvi_kirki_panels' );