<?php
/**
 * The Logo
 */
if ( 'charvi_show_image_logo' == get_theme_mod( 'charvi_logo_type', 'charvi_show_image_logo' ) && '' != get_theme_mod( 'charvi_image_logo' ) ) { 
	$charvi_logo_width = $charvi_logo_height = '';
	$charvi_logo_width 	= get_theme_mod( 'charvi_logo_width' );
	$charvi_logo_height	= get_theme_mod( 'charvi_logo_height' );
	?>
<a class="dtr-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('title'); ?>"><img src="<?php echo esc_url( get_theme_mod( 'charvi_image_logo' ) ); ?>" alt="<?php bloginfo('title'); ?>" width="<?php echo esc_attr( $charvi_logo_width ); ?>" height="<?php echo esc_attr( $charvi_logo_height ); ?>" data-rjs="2"></a>
<?php } elseif ( 'charvi_show_text_logo' == get_theme_mod( 'charvi_logo_type' ) ) { ?>
<a class="dtr-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('title'); ?>"><?php echo esc_attr( get_theme_mod( 'charvi_text_logo',  esc_html__('My Logo','charvi')  ) ); ?></a>
<?php } else { ?>
<a class="dtr-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('title'); ?>">
<?php bloginfo('title'); ?>
</a>
<?php } ?>