<?php
/**
 * Typography Panel Sections
 */
function charvi_kirki_section_typography( $wp_customize ) {
	$wp_customize->add_section( 'charvi_section_themebase', array(
		'title'			 => esc_html__( 'Themebase Color', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_body_typo', array(
		'title'			 => esc_html__( 'Body', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_headings_typo', array(
		'title'			 => esc_html__( 'Headings', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_default_link', array(
		'title'			 => esc_html__( 'Default Link', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_header_r1_typo', array(
		'title'			 => esc_html__( 'Header Row One', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_header_r2_typo', array(
		'title'			 => esc_html__( 'Header Row Two', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_page_title_typo', array(
		'title'			 => esc_html__( 'Page Title / Archives Page Title', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_sidebar_typo', array(
		'title'			 => esc_html__( 'Sidebar', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_fp_slider_typo', array(
		'title'			 => esc_html__( 'Featured Posts Slider', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_promoboxes_typo', array(
		'title'			 => esc_html__( 'Promoboxes', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_footer_typo', array(
		'title'			 => esc_html__( 'Footer', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_menu_typo', array(
		'title'			 => esc_html__( 'Menu', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_blog_typo', array(
		'title'			 => esc_html__( 'Blog', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_buttons_typo', array(
		'title'			 => esc_html__( 'Buttons', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_quote_typo', array(
		'title'			 => esc_html__( 'Testimonial / Blockquotes / Quote and Link Post Format', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );
	$wp_customize->add_section( 'charvi_section_social_typo', array(
		'title'			 => esc_html__( 'Social Icons', 'charvi' ),
		'panel'			 => 'charvi_panel_typography',
	) );

}
add_action( 'customize_register', 'charvi_kirki_section_typography' );