<?php
/**
 * Sticky Header 
 */ 
$menu_color_style = get_theme_mod( 'charvi_sticky_menu_color_style', '' );
if ( '' == get_theme_mod( 'charvi_sticky_menu_color_style', '' ) ) {
	$return_menu_color_style	= 'dtr-menu-alt';
} else { 
	$return_menu_color_style	= $menu_color_style;
}
?>
<div id="dtr-header-sticky">
	<div class="dtr-header-sticky-inner clearfix">
		<div class="dtr-container">
			<?php get_template_part( '/template-parts/header/sticky-logo' ); ?>
			<div class="main-navigation <?php echo esc_attr( $return_menu_color_style ); ?>" <?php charvi_schema_markup( 'site_navigation' ); ?>>
				<?php if( has_nav_menu( 'sticky_menu' ) ) {
	wp_nav_menu( array( 
		'theme_location'  	=> 'sticky_menu',
		'container'       	=> '',
		'container_class'	=> '',
		'container_id'   	=> '',
		'menu_class'      	=> 'sf-menu',
		'menu_id'         	=> '',
		'depth'           	=> 0,
		'walker' => new CHARVI_Dropdown_Walker_Nav_Menu,
		) 
	); 
} ?>
			</div>
		</div>
	</div>
</div>
<!-- #header-sticky --> 