<?php
/**
 * Blog post meta
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$charvi_date_title 	= esc_html__( 'On ', 'charvi' );
$charvi_author_title	= esc_html__( 'By ', 'charvi' );
?>
<ul class="dtr-meta">
	<li class="dtr-meta-date"><span class="dtr-meta-title"><?php echo esc_attr ( $charvi_date_title ) ?></span><span class="entry-date updated" <?php charvi_schema_markup( 'publish_date' ); ?>><?php echo get_the_date(); ?></span></li>
	<li class="dtr-meta-author"><span class="dtr-meta-title"><?php echo esc_attr ( $charvi_author_title ) ?></span><span class="vcard author" <?php charvi_schema_markup( 'author_name' ); ?>><span class="fn" <?php charvi_schema_markup( 'author_link' ); ?>>
		<?php the_author_posts_link(); ?>
		</span></span></li>
	<li class="dtr-meta-comments">
		<?php comments_popup_link( esc_html__( '0 Comments', 'charvi' ), esc_html__( '1 Comment',  'charvi' ), esc_html__( '% Comments', 'charvi' ), 'comments-link' ); ?>
	</li>
</ul>